package cz.senslog.analytics.domain;

import cz.senslog.analytics.utils.validator.NotifyTrigger;

import java.util.List;

public record ThresholdDimension(long id, NotifyTrigger.Mode notifyTriggerMode, AttributeType attributeType, List<ThresholdDimensionRule> rules) {

    public static ThresholdDimension of(long id, NotifyTrigger.Mode notifyTriggerMode, AttributeType attributeType, List<ThresholdDimensionRule> rules) {
        return new ThresholdDimension(id, notifyTriggerMode, attributeType, rules);
    }
}